# Response to Reviewer UWrD

We thank reviewer UWrD for another round of suggestions for our work. Due to time limitation, we have only managed to solve some minor issues and have marked them in **green** in the PDF.

**Prior Works:**

- **About adding the comparison to Appendix:** We also regard this as an important issue, but due to the page limit, we haven't figured out how to rearrange the structure of the text to incorporate this portion into the main body. We will revise it as part of our future work.
- **About difference with CoRTX：** We agree with the reviewer that CoRTX's fine-tuning stage uses MSE with ground truth labels. However, we believe that the core contribution of CoRTX is applying contrastive learning to explanation learning. Supervised RTX is similar to SimSHAP, but it also uses ground truth labels for training. However, SimSHAP does not require any labels, just like FastSHAP, and we have incorporated this aspect into the paper.



**Amortized Explainers:**

- **About Eq. 13:** The derivation in Eq.13 is the fitting target of FastSHAP (with $W$ omitting the $\infty$ entries), not the FastSHAP itself. Note that after Eq.13, we have rectified the result by normalization, which considers the $\infty$ entries.

**Experiments:** 

- **About normalization:** We acknowledge that normalization to [0,1] is not necessary, so we revised it in the previous version of the paper to only ensure that the output for the **original image (grand coalition)** is 1. Additionally, it is worth noting that the AUC computation experimental setting has never changed, which only ensures that the output for the **original image (grand coalition)** is 1. Our previous response only aligned the curve experimental setting to be the same as the AUC computation.
- **About the caption and label:** Sorry for our negligence. We have revised it in the updated version of our paper. 

**Small things:**

- **About the notation of $1^S\cdot x$:** We acknoledge that the reviewer is right, and we have revised it in the updated version.
- **About input-specific:**  Thanks to the reviewers for the careful review. This is a typo, and we have corrected "input-specific" to "input-agnostic".

## Postscript: 

Thanks to the reviewer for the detailed suggestions. However, due to the limited time at this stage, we can only complete a response to some of the issues raised in the third round of review. We will make our best effort to address all issues in the revised version of the paper that follows.


**Estimators:**

- 第一点没看懂hh，是不是因为我们把AppendixA.8加上之后后面kernelSHAP就不应该提了？
- 这个看您想不想留着了。。。就AppendixA.1的推导结果
- 按照现在的感觉好像Table1确实要改？因为我们写的Random Order Value, Semivalue和Least Squares value 都是等价形式，不是采样形式？
- cite我们倒是可以cite，但是前半句我实在是没懂
- 好像说的没错，得承认，可能是我们的说法有问题，因为并不是“combine了优点”